
 .hidden_div_for_html { display: none; } 

/* CSS for LayeredNavBarMain */
#allTeachSettings .modal-dialog {
	margin: 0;
}

.btn-success {
	background: #457025 !important;
}

.btn-success:hover {
    background: white !important;
    color: #457025 !important;
    border: 2px solid #457025 !important;
}

/* CSS for LayeredNavBar_Footer */

.footer-container {
    margin-top: auto;
    position: relative;
}

.footer-container .footers-items {      
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 8px;
    font-size: 13px;
    padding: 6px 10px;
    border-radius: 6px;
    z-index: 10;
    display: none;
    justify-content:center;
}


.footer-container .footer-link {
    white-space: nowrap;
    color: #555;
    text-decoration: none;
}

.footer-container .footer-link:hover {
    text-decoration: underline;
}

.footer-container .btn-warning {
    position: fixed;
    bottom: 0px;
    z-index: 1000;
    
}


.footer-container .btn-warning:first-of-type {
    right: 120px;
}


.footer-container .btn-warning:last-of-type {
    right: 16px;
}


.footer-container .btn-warning,
.footer-container .btn-warning:hover,
.footer-container .btn-warning:focus {
    color: #373831;
    box-shadow: none;
    height: 32px;
    background: #f9a11a;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    border-color: #f9a11a;
    font-weight: 700;
}


@media (max-width: 768px) {
    .footer-container .footers-items {
        justify-content: center;
        text-align: center;
    }
}

/*.footer-container {
    margin-top: auto;
    position: relative;
    padding: 10px;
}

.footer-container > .btn-warning {
    position: fixed;
    bottom: 0px;
    right: 16px;
}

.footer-container .footers-items {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    font-size: 13px;
    color: #555;
    justify-content:center;
}

.footer-container > .btn-warning:first-of-type {
    right: 120px; 
}

.footer-container .btn-warning,
.footer-container .btn-warning:hover,
.footer-container .btn-warning:focus {
    color: #373831;
    box-shadow: none;
    height: 32px;
    background: #f9a11a;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    border-color: #f9a11a;
    font-weight: 700;
}

.footer-container .footer-link {
    white-space: nowrap;
}

@media (max-width: 768px) {
    .footer-container .footers-items {
        justify-content: center;
        text-align: center;
    }
}

.footer-container {
    overflow: hidden;
    position: absolute;
    bottom: 0px;
    right: 10px;
    display: flex;
    align-items: end;
    justify-content: space-around;
    z-index: 100;
}

.footer-container .btn-warning, .btn-warning:hover, .btn-warning:focus {
	color: #373831;
    box-shadow: none;
   	height: 30px;
    width: auto;
    background: #f9a11a;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    border-color:#f9a11a;
    font-weight:700;
}

.footer-container .footers-items a{
    margin-right:8px;
}*/

/* CSS for LayeredNavBar_V2_Modal */
/*
.feedback-modal-holder {
	position: absolute;
    top: 0;
    z-index: 10;
    height: 100vh;
    display: flex;
    width: 100vw;
    align-items: center;
    justify-content: center;
    background: rgba(1, 1, 1, 0.5);
}

.feedback-modal-holder .modal-content .modal-header {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid #dee2e6;
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: calc(0.3rem - 1px);
}

.feedback-modal-holder .modal-content {
	width: 600px !important;
}

.bi-x-square {
    font-size: 24px;
}

*/

.feedback-modal-holder .modal-content .modal-footer .btn-outline-dark {
	border-color: darkgray !important;
}

.feedback-modal-holder .modal-content .modal-footer .btn-outline-dark:hover {
	background-color: #e6e6e6 !important;
}

.feedback-modal-holder .modal-content .modal-body iframe {
	height: 100% !important;
    width: 100% !important;
}

.feedback-modal-holder .modal-content .modal-footer .btn {
    height: 40px;
	color: black !important;
}

.feedback-modal-holder .modal-content .modal-footer .btn-warning {
	color: white !important;
    height: 40px;
}

/* CSS for LayeredNavBarProfileSettings */
.profile-settings {
	position: absolute;
    height: 260px;
    width: 200px;
    bottom: 80px;
    left: 35px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border-radius: 5px;
    box-shadow: 3px -2px 10px 0px rgba(0, 0, 0, 0.2);
    border: 1px solid rgba(0, 0, 0, 0.2);
    background: #f8f9fa;
    z-index: 1000;
}

.profile-settings .list-items {
    margin: 0;
    padding: 10px;
    width: 100%;
    height: 100%;
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.profile-settings .list-items .list-item{
    border-radius:3px;
    font-size:16px;
}

.profile-settings .list-items .list-item:hover,
.profile-settings .list-items .list-item:hover a{
	color: white;
    background: #002f41;
}

.profile-settings .list-items .list-item a {
	text-decoration: none;
    color: black;
}

.profile-settings .list-items .list-item i {
	padding: 0 10px 0 10px;
}

.profile-settings .arrow {
	position: absolute;
    height: 20px;
    width: 20px;
    background: #f8f9fa;
    bottom: -10px;
    left: 15px;
    border-top-width: 0px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-top-width: 0px;
    border-right-width: 0px;
    transform: rotate(-45deg);
}

/* CSS for FeedbackImageUpload */
#imgFileUploadBox { display: none;
padding: 30px; background-color: #f5f5f5;;
-webkit-border-radius: 3px;-moz-border-radius:3px;border-radius: 3px; z-index: 1;
    top: 95px;
    position: fixed;
    left: 160px;
    width: 65%;
    border: 1px solid black;
 }
#imgUploadFile {padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    background: white;
    border: 1px solid black; }
#fupIframe{
    width:0;
    height:0;
    border:0px solid #fff;
}  
#cancImguploadbtn {
    margin-left: 10px;
    background : #80808052;
}
#insImgFileAct{ background : #80808052; font-size: 15px;}

/* CSS for TeacherSettingsModal */
.teacherSettingsMain{
    position: absolute;
    top: 0;
    z-index: 100;
    height: 100vh;
    display: flex;
    width: 100vw;
    align-items: center;
    justify-content: center;
    background: rgba(1, 1, 1, 0.6);
    
}


#teacherSettingsModal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
	width: 70vw;
    height: 80vh;
    background: #f8f9fa;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
}

#teacherSettingsModal .teacher-settings-header {
    height: 10%;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
    background-color: #002f41;
    color:white;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}

#teacherSettingsModal .teacher-settings-header h3 {
	margin: 0;
}

#teacherSettingsModal .teacher-settings-header hr {
	position: absolute;
    bottom: 0;
    margin: 0;
    width: 98%;
    left: 1%;
}

#teacherSettingsModal .teacher-settings-header .btn-success {
	background: #B0C93A;
    /*opacity:70%;*/
    margin-right: 6rem;
}

#teacherSettingsModal .teacher-settings-header .bi-x-square-fill {
    position: absolute;
    right: 20px;
    font-size: 30px;
}

#teacherSettingsModal .teacher-settings-header .btn-success:hover {
    opacity:100%;
}

/*#teacherSettingsModal .teacher-settings-header .btn-danger {
	background: #FAA31E;
    border:none;
    opacity:70%;
}

#teacherSettingsModal .teacher-settings-header .btn-danger:hover {
    opacity:100%;
    
}*/

#teacherSettingsModal .teacher-settings-body {
	height: 90%;
    width: 100%;
    display: flex;
}

#teacherSettingsModal .teacher-settings-body .teacher-settings-menu {
	width: 25%;
    height: 100%;
    z-index: 1;
    box-shadow: 1px 0px 3px 0px rgba(0, 0, 0, 0.2);
}

#teacherSettingsModal .teacher-settings-body .teacher-settings-menu h3 {
	font-weight: normal;
    text-align:center;
}

#teacherSettingsModal .teacher-settings-body .teacher-settings-form {
	width: 75%;
    height: 100%;
}

.teacher-settings-form .settings-form-header {
	display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    padding: 10px 0 0 25px;
    margin-bottom: 1%;
}

.teacher-settings-form .settings-form-header h4, teacher-settings-form .settings-form-header p {
	margin: 0;
    padding: 0;
}

.teacher-settings-form .settings-form-body {
    padding-top: 1%;
    height: 85%;
	width: 100%;
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    overflow-y: auto;
    justify-content: space-evenly;
}

/* CSS for TeacherSettingsModalAccordian */
.menu-item {
	width: 100%;
    padding:0.05rem;
    cursor: pointer;
}

.menu-item span {
	user-select: none;
    display: flex;
    align-items: center;
}

.menu-item span i {
	font-size: 18px;
}

.menu-item .menu-list {
	list-style: none;
    user-select: none;
    padding: 0 0 0 25px;
}

.menu-item .menu-list .menu-list-item {
	padding: 10px 0 0 0;
    user-select: none;
}

/* CSS for TeacherSettingsModalInput */
.settings-input {
  position: relative;
  margin: 0 0 20px 20px;
}

.settings-input label {
  position: absolute;
  font-size: 1rem;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  background-color: #f8f9fa;
  color: black;
  padding: 0 0.3rem;
  margin: 0 0.5rem;
  transition: 0.1s ease-out;
  transform-origin: left top;
  pointer-events: none;
}

.settings-input input {
  height: 40px;
  font-size: 16px;
  width: 250px;
  outline: none;
  border: 1px solid black;
  border-radius: 5px;
  padding: 1rem 0.7rem;
  color: black;
  transition: 0.1s ease-out;
  background: #f8f9fa;
}

.settings-input input:focus {
  border-color: #6200ee;
}

.settings-input .input-type-error {
	border-color: red;
}

.settings-input input:focus+label {
  color: #6200ee;
  top: 0;
  transform: translateY(-50%) scale(0.9) !important;
}

.settings-input input:not(:placeholder-shown)+label {
  top: 0;
  transform: translateY(-50%) scale(0.9) !important;
}

.settings-input input:not(:focus)::placeholder {
  opacity: 0;
}

.settings-input .input-has-value + label {
  top: 0;
  transform: translateY(-50%) scale(0.9) !important;
}

.settings-input .input-error {
	position: absolute;
    bottom: -21px;
    left: 10px;
    background: transparent;
    color: red;
}

.settings-input .input-error i {
	margin-right: 4px;
}

.input-icon-wrapper {
  position: relative;
  width: 100%;
}

.input-icon-wrapper input {
  padding-right: 35px !important;
}

.password-toggle {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  cursor: pointer;
  color: #555;
}

.input-label-wrapper {
  position: relative;
  width: 100%;
}

.input-label-wrapper input:focus + label,
.input-label-wrapper .input-has-value + label {
  color: #6200ee;
  top: 0;
  transform: translateY(-50%) scale(0.9) !important;
}

/* CSS for TeacherSettingsModalStandardInput */
.settings-standard-input {
    width: 95%;
    margin: 15px 0;
    padding: 0 0 0 10px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}

.settings-standard-input span {
	margin-left: 5px;
}

.settings-standard-input input {
	margin-left: 10px;
}

.settings-standard-input .checkbox-description {
    box-shadow: inset 0 1px 1px rgba(0,0,0,.05);
    width: 100%;
    border: 1px solid #e3e3e3;
    min-height: 20px;
    background: #f5f5f5;
    border-radius: 4px;
    padding: 18px;
    color: #333;
    font-size: 14px;
    margin: 5px 0 0 0;
}

/* CSS for TeacherSettingsModalDropdown */
.settings-dropdown-input {
    position: relative;
    margin: 0 0 20px 20px;
}

.settings-dropdown-input select {
	width: 250px;
    height: 40px;
    outline: none;
    border: 1px solid black;
    border-radius: 5px;
    color: black;
    transition: 0.1s ease-out;
    background-color: transparent;
    padding-left: 10px;
}

.settings-dropdown-input label {
  position: absolute;
  font-size: 1rem;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  background-color: #f8f9fa;
  color: black;
  padding: 0 0.3rem;
  margin: 0 0.5rem;
  transition: 0.1s ease-out;
  transform-origin: left top;
  pointer-events: none;
}

.settings-dropdown-input select:focus {
  border-color: #6200ee;
  box-shadow: none;
}

.settings-dropdown-input select:focus+label {
  color: #6200ee;
  top: 0;
  transform: translateY(-50%) scale(0.9) !important;
}

/* CSS for CustomCheckbox */
.custom-checkbox {
	width: 13px;
    height: 13px;
    border-radius: 2px;
    border: 1px solid gray;
    margin-left: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-checkbox.checked {
	background: #457025;
}

.custom-checkbox i {
	font-size: 20px;
    color: white;
}

/* CSS for ChangePasswordModal */
.change-password-modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
	width: 350px;
    height: auto;
    background: #f8f9fa;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 30px 0 0 20px;
}

.change-password-button-group {
	display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 0 20px 0 0;
    margin-bottom: 20px;
}

.change-password-button-group button {
	margin-right: 10px;
}

.change-password-button-group .btn-danger{
	background: #FAA31E;
    border:none;
}
/*Added on 17.7.25 by AM*/
.password-input-wrapper {
  margin-bottom: 15px;
  position: relative;
  width: 90%;
}

.password-input-group {
  position: relative;
  display: flex;
  align-items: center;
}

.password-input-group input {
  width: 100%;
  padding-right: 35px;
}

.password-toggle {
  position: absolute;
  right: 10px;
  cursor: pointer;
  color: #555;
}

.tooltip-box {
  position: absolute;
  top: 50px;
  left: -200px; /* Adjusted for width */
  width: 220px;
  background: #fff;
  border: 1px solid #ccc;
  padding: 10px;
  font-size: 12px;
  border-radius: 6px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
  z-index: 100;
  display: inline-block;
}

/* Outer border arrow pointing left */
.tooltip-box::before {
  content: "";
  position: absolute;
  top: 40%;
  left: 100%; /* Arrow now on the right */
  transform: translateY(-50%);
  border-width: 8px;
  border-style: solid;
  border-color: transparent transparent transparent #ccc;
}

/* Inner arrow fill */
.tooltip-box::after {
  content: "";
  position: absolute;
  top: 40%;
  left: calc(100% - 1px);
  transform: translateY(-50%);
  margin-left: 1px;
  border-width: 7px;
  border-style: solid;
  border-color: transparent transparent transparent #fff;
}

.tooltip-box .rule-list {
  margin: 5px 0 0 10px;
  padding-left: 0;
}

.tooltip-box .rule-list li {
  list-style: none;
}

.strength-meter {
  margin-top: 8px;
  width: 90%;
}

.strength-bar {
  height: 5px;
  background-color: red;
  border-radius: 4px;
  transition: width 0.3s ease;
}

.strength-label {
  font-size: 12px;
  margin-top: 4px;
}

.tooltip-box li {
  color: #333;
  margin-bottom: 4px;
}

.input-icon-wrapper {
  position: relative;
  width: 100%;
}

.input-icon-wrapper input {
  padding-right: 35px !important;
}

/* CSS for ImageUploadModal */
/*.image-upload-modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
	width: 650px;
    height: 350px;
    background: #f8f9fa;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 30px 20px 0 20px;
}*/

.image-upload-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6); 
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
}

.image-upload-modal-content {
    width: 650px;
    height: 400px;
    background: #f8f9fa;
    border-radius: 5px;
    box-shadow: 0px 0px 10px 12px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    /*padding: 30px 20px 20px 20px;*/
}

.image-upload-modal .image-upload-modal-content .image-upload-header {
    width: 100%;
	display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin-top:2rem;
}

.image-upload-modal .image-upload-modal-content .image-upload-modal-header{
	display: flex;
    height: 15%;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 15px;
    border-bottom: 1px solid #002f41;
    border-top-left-radius: 5px;
    border-top-right-radius: 20px;
    background-color: #002f41;
    color: white;
}

.image-upload-modal .image-upload-modal-content .bi-x-square-fill {
    font-size: 24px;
    cursor: pointer;
}

.image-upload-modal .image-upload-modal-content .image-previews .bi-arrow-right-circle {
	color: grey;
    font-size: 30px;
    margin-bottom: 15px;
}

.image-upload-header button,
.image-upload-header button:hover,
.image-upload-header button:focus,
.image-upload-header button:active {
	height: 50px;
    width: 120px;
    color: white;
    border-radius: 10px;
}

.image-upload-modal .image-upload-modal-content .image-previews {
	display: flex;
    justify-content: space-evenly;
    width: 100%;
    align-items: center;
    height: 65%;
}

.image-upload-modal .image-upload-modal-content .image-previews .current-image-preview,
.image-upload-modal .image-upload-modal-content .image-previews .next-image-preview {
    width: 200px;
    height: 200px;
    position: relative;
    border: 1px dashed;
    border-radius: 10px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.image-upload-modal .image-upload-modal-content .image-previews .next-image-preview span	{
    color: grey;
    position: absolute;
    display: block;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.image-upload-modal .image-upload-modal-content .image-previews .current-image-preview span {
	font-size: 60px;
}

.image-upload-modal .image-upload-modal-content .image-previews .current-image-preview.no-current-image {
	display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid;
    background: #373831;
    color: #fff;
}

.image-upload-label {
    height: 50px;
    width: 120px;
    border: 1px solid;
    border-radius: 10px;
    margin: 0;
    padding: 0;
    background: rgb(201, 83, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    cursor: pointer;
}

.image-upload-label input {
	display: none;
}

/* CSS for SideMenu */
::-webkit-scrollbar {
 	width: 8px; 
    height: 8px; 
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.2); 
    border-radius: 4px; 
}

::-webkit-scrollbar-thumb:hover {
    background: rgba(0, 0, 0, 0.4); 
}

.menu-link {
  display: block;
  text-decoration: none !important; 
  color: inherit; 
  width: 100%;
  padding-left: 14px;
}

.menu-link > * {
  display: block;
  width: 100%;
  height: 100%;
  color: inherit;
  text-decoration: none !important;
}

.menu-link:hover {
  text-decoration: none !important;
  color: inherit;
}


.sidemenu-list-header {
  display: flex;
  align-items: center;
  padding: 10px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

.sidemenu-list-header.expanded {
  justify-content: space-between;
}


.sidemenu-list-header.btn {
  background-color: #c95300;
  border: 1px solid #c95300;
  border-radius: 5px;
  padding: 10px;
  margin: 5px 0;
  transition: background-color 0.3s, box-shadow 0.3s;
  color: white;
}

.sidemenu-list-header.btn:hover {
  background-color: #e0e0e0;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  color: black;
}

.sidemenu-list-header.btn i {
    font-size:16px;
 
}

.sidemenu-list-header.btn i:hover {
    color:black;
}
.sidemenu-list-header.btn label {
    font-weight: bold;
    margin-left:10px;
    margin-bottom: 0px;

       
       
}

.sidemenu-list-header .custom-tooltip,
.sidemenu-list-header .custom-tooltip {
    position: fixed;
    left: 5%;
    background: black;
    color: white;
    display: flex;
    height: 40px;
    padding: 0.5em;
    align-items: center;
    justify-content: flex-start;
    border-radius: 4px;
    visibility: hidden;
    max-width: unset;
    z-index: 20000;
    text-wrap: nowrap;
}

.sidemenu-list-header:hover .custom-tooltip,
.sidemenu-list-header:hover .custom-tooltip {
    visibility: visible;
}


.sidemenu-body .sidemenu-item,
.sidemenu-body .sidemenu-item * {
  text-decoration: none !important; 
  color: inherit;
}


.sidemenu-body .sidemenu-item {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50px;
  width: 75%;
  cursor: pointer;
}

.sidemenu-body .sidemenu-item:hover,
.sidemenu-body .sidemenu-item.selected-menu {
  border: 1px solid;
  border-radius: 5px;
  background: #457025;
  color: white;
}

.sidemenu-body .sidemenu-item.expanded {
  justify-content: flex-start;
  padding-left: 30px;
  width: 85%;
}

.sidemenu-body .sidemenu-item i {
  font-size: 25px;
}

.sidemenu-body .sidemenu-item label {
  margin: 0 0 0 15px;
  font-weight: 400 !important;
}

.sidemenu-body .sidemenu-item .icon-image {
  height: 25px;
  width: 25px;
  transform: scale(1.25);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.sidemenu-body .sidemenu-item .custom-tooltip {
  position: absolute;
  left: 90%;
  background: black;
  color: white;
  display: flex;
  height: 40px;
  padding: 0.5em;
  align-items: center;
  justify-content: flex-start;
  border-radius: 4px;
  visibility: hidden;
  max-width: unset;
  z-index: 20000;
  text-wrap: nowrap;
}

.sidemenu-body .sidemenu-item:hover .custom-tooltip {
  visibility: visible;
}

.sidemenu-body .sidemenu-item .custom-tooltip::after {
  content: "";
  position: absolute;
  top: 50%;
  left: -4px;
  transform: translateY(-50%) rotate(90deg);
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}



.sidemenu-container {
 /* display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;*/
  position: absolute;
  top: 0;
  left: 0;
  height: 100vh;
  max-width: 25vw;
  width: 6vw;
  min-width: 6vw;
  background: #f8f8f8;
  transition: width 0.5s ease-in-out;
  box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

.sidemenu-container.expanded {
  width: 20vw;
}

.sidemenu-header {
  height: 60px;
  width: 100%;
  padding: 10px;
}

.sidemenu-logo {
  min-height: 100%;
  max-height: 100%;
  position: relative;
}

.sidemenu-logo:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.sidemenu-logo:before {
  background-image: url("https://s3.amazonaws.com/ufiles.edcite.net/u/teacher2/smallEdciteLogo.png");
}

.sidemenu-logo.showCA:before {
  background-image: url("/images/logos/edciteschools_logo_sm.png");
}

.sidemenu-body {
  height: calc(100vh - 180px); 
  width: 100%;
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-direction: column;
  overflow-y: auto;
 overflow-x: hidden;
}

.sidemenu-body ul {
  width: 100%;
  padding: 0;
  list-style: none;
  margin: 0;
}

.sidemenu-body li {
  display: flex;
  width: 100%;
  justify-content: center;
}

.sidemenu-footer {
  height: 120px;
  width: 95%;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  flex-flow: wrap;
}

.sidemenu-footer .sidemenu-search {
  display: flex;
  margin: 0 15px;
}

.sidemenu-footer .sidemenu-search button {
  background-color: #c95300;
  border: none;
}

.sidemenu-footer .profile-image-name .profile-image {
  height: 50px;
  width: 50px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 5px;
  font-size: 30px;
  text-align: center;
  color: #fff;
  background-color: #373831;
}

.sidemenu-footer .footer-arrow-box {
  height: 25px;
  width: 50px;
  transform: rotate(90deg);
  background: #f8f8f8;
  align-items: center;
  justify-content: center;
  border-radius: 5px 5px 0 0;
  transition: left 0.25s ease;
  cursor: pointer;
  position: absolute;
  bottom: 25px;
  right: -38px;
  z-index: 1;
  display: flex;
  border: none;
  box-shadow: 2px -1px 10px rgba(0, 0, 0, 0.3);
}

.sidemenu-footer .footer-arrow-box:focus {
  outline: 0px;
}

.sidemenu-footer .profile-image-name {
  display: flex;
  align-items: center;
  position: relative;
  cursor: pointer;
  border: none;
  background: none;
  padding:0px;
}

.sidemenu-footer .profile-image-name.collapsed {
  width: 100%;
  justify-content: center;
}

.sidemenu-footer .profile-image-name .positioned {
  position: absolute;
  right: 7px;
  top: -14px;
  transform: scale(0.85);
}

.sidemenu-footer .notifications {
  border-radius: 50%;
  height: 30px;
  width: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #457025;
  color: white;
  cursor: pointer;
  border: none;
}

.sidemenu-footer .notifications.collapsed {
  display: none;
}

.sidemenu-footer .footer-arrow-box i {
  color: #71716b;
}

.sidemenu-switch {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/*.oldUI {
  display: block;
  margin: 0 auto;
  padding: 5px 5px;
  background: #fff;
  border: 2px solid #c95300;
  color: #c95300;
  border-radius: 5px;
  cursor: pointer;
}

.oldUI:hover {
  background: #f9a11a;
  color: #fff;
  border: none;
}*/

.profile-name{    
    height: 50px;
    display: flex;
    align-items: center;    
    padding-left: 5px;
}

@media screen and (max-width: 1100px) and (min-width: 700px) {
  .sidemenu-container {
    max-width: 35vw;
    min-width: 8vw;
    width: 8vw;
  }

  .sidemenu-container.expanded {
    width: 30vw;
  }
}

@media screen and (max-width: 699px) {
  .sidemenu-container {
    max-width: 75vw;
    min-width: 18vw;
    width: 10vw;
  }

  .sidemenu-container.expanded {
    width: 70vw;
  }
}


/* CSS for SideMenuItem */
.submenu-link {
  display: block;
  text-decoration: none !important; 
  color: inherit; 
  width: 100%;
}

.submenu-link:hover {
    border:none;
}

.sidemenu-list-container,
.sidemenu-item-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 75%;
    cursor: pointer;
}

.sidemenu-list-container {
    flex-direction: column;
   overflow: hidden;
}

.sidemenu-list-container.expanded {
    width: 85%;
}

.sidemenu-list-container .sidemenu-list-header:hover,
.sidemenu-item-container:hover {
    border: 1px solid;
    border-radius: 5px;
    background: #7ca738;
    color: white;
}

.sidemenu-list-container .sidemenu-list-header.selected-menu,
.sidemenu-item-container.selected-menu {
    border: 1px solid;
    border-radius: 5px;
    background: #457025;
    color: white;
}

.sidemenu-item-container.expanded {
    justify-content: flex-start;
    padding-left: 30px;
    width: 85%;
    min-height: 50px;
}

.sidemenu-list-container i,
.sidemenu-item-container i {
    font-size: 25px;
}

.sidemenu-list-container label,
.sidemenu-item-container label {
    margin: 0 0 0 15px;
    cursor: pointer;
    font-weight: 400 !important;
}

.sidemenu-list-container .icon-image,
.sidemenu-item-container .icon-image {
    height: 25px;
    width: 25px;
    transform: scale(1.25);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.sidemenu-item-container .custom-tooltip,
.sidemenu-list-container .custom-tooltip {
    position: fixed;
    left: 5%;
    background: black;
    color: white;
    display: flex;
    height: 40px;
    padding: 0.5em;
    align-items: center;
    justify-content: flex-start;
    border-radius: 4px;
    visibility: hidden;
    max-width: unset;
    z-index: 20000;
    text-wrap: nowrap;
}

.sidemenu-list-container:hover .custom-tooltip,
.sidemenu-item-container:hover .custom-tooltip {
    visibility: visible;
}

.sidemenu-list-container .custom-tooltip::after,
.sidemenu-item-container .custom-tooltip::after {
    content: "";
    position: absolute;
    top: 50%;
    left: -4px;
    transform: translateY(-50%) rotate(90deg);
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: black transparent transparent transparent;
}

.sidemenu-list-container .sidemenu-list-header {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 50px;
    cursor: pointer;
    width: 100%;
    position: relative;
}

.sidemenu-list-container .sidemenu-list-header.expanded {
    justify-content: flex-start;
    padding: 0 30px;
}

.sidemenu-list-container .sidemenu-list-header.expanded .bi-chevron-down,
.sidemenu-list-container .sidemenu-list-header.expanded .bi-chevron-up {
    position: absolute;
    right: 15px;
}

.sidemenu-list-container .sidemenu-list-items {
    display: none;
    width: 100%;
    align-items: flex-start;
    justify-content: space-evenly;
    flex-direction: column;
}

.sidemenu-list-container.expanded .sidemenu-list-items.sub-menu-expanded {
    display: flex;
}

.sidemenu-list-container .sidemenu-list-items .sidemenu-list-item {
    height: 40px;
    width: 100%;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 0 0 0 25px;
}

.sidemenu-list-container .sidemenu-list-items .sidemenu-list-item:hover {
    border: 1px solid;
    border-radius: 5px;
    background: #7ca738;
    color: white;
    cursor: pointer;
}

.sidemenu-list-container .sidemenu-list-items .sidemenu-list-item.selected-submenu {
    border: 1px solid;
    border-radius: 5px;
    background: #7ca738;
    color: white;
}

/* Fix overlapping issue */
.sidemenu-list-container.sub-menu-expanded {
    height: auto;
}

.sidemenu-list-container .sidemenu-list-items.sub-menu-expanded .sidemenu-list-item {
    height: 40px;
    border: none;
}

/*.sidemenu-list-container,
.sidemenu-item-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 75%;
    cursor: pointer;
}

.sidemenu-list-container {
    flex-direction: column;
}

.sidemenu-list-container.expanded {
    width: 85%;
}

.sidemenu-list-container .sidemenu-list-header:hover,
.sidemenu-item-container:hover {
	border: 1px solid;
    border-radius: 5px;
    background:#7ca738;
    color: white;
}

.sidemenu-list-container .sidemenu-list-header.selected-menu,
.sidemenu-item-container.selected-menu {
	border: 1px solid;
    border-radius: 5px;
    background: #457025;
    color: white;
}

.sidemenu-item-container.expanded {
	justify-content: flex-start;
    padding-left: 30px;
    width: 85%;
    min-height: 50px;
}

.sidemenu-list-container i,
.sidemenu-item-container i {
	font-size: 25px;
}

.sidemenu-list-container label,
.sidemenu-item-container label {
    margin: 0 0 0 15px;
    cursor: pointer;
    font-weight: 400 !important;
}

.sidemenu-list-container .icon-image,
.sidemenu-item-container .icon-image {
    height: 25px;
    width: 25px;
    transform: scale(1.25);
	background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.sidemenu-item-container .custom-tooltip,
.sidemenu-list-container .custom-tooltip {
	position: fixed;
    left: 5%;
    background: black;
    color: white;
    display: flex;
    height: 40px;
    padding:0.5em;
	align-items: center;
    justify-content: flex-start;
    border-radius: 4px;
    visibility: hidden;
    max-width:unset;
    z-index: 20000;
    text-wrap: nowrap;
}

.sidemenu-list-container:hover .custom-tooltip,
.sidemenu-item-container:hover .custom-tooltip {
    visibility: visible;
}

.sidemenu-list-container .custom-tooltip::after,
.sidemenu-item-container .custom-tooltip::after {
  content: "";
  position: absolute;
  top: 50%;
  left: -4px;
  transform: translateY(-50%) rotate(90deg);
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}

.sidemenu-list-container .sidemenu-list-header {
	display: flex;
    align-items: center;
    justify-content: center;
    min-height: 50px;
    cursor: pointer;
    width: 100%;
    position:relative;
}

.sidemenu-list-container .sidemenu-list-header.expanded {
    justify-content: flex-start;
    padding: 0 30px;
}

.sidemenu-list-container .sidemenu-list-header.expanded .bi-chevron-down,
.sidemenu-list-container .sidemenu-list-header.expanded .bi-chevron-up {

    position: absolute;
    right: 15px;
}

.sidemenu-list-container .sidemenu-list-items {
	height: 0px;
    width: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly;
    flex-direction: column;
}

.sidemenu-list-container.sub-menu-expanded {
	height: 170px;
}

.sidemenu-list-container .sidemenu-list-items.sub-menu-expanded {
    height: 120px;
}

.sidemenu-list-container .sidemenu-list-items .sidemenu-list-item {
    height: 40px;
    width: 100%;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 0 0 0 40px;
}

.sidemenu-list-container .sidemenu-list-items .sidemenu-list-item:hover {
	border: 1px solid;
    border-radius: 5px;
    background: #7ca738;
    color: white;
    cursor: pointer;
}*/

/* CSS for HelpFeedback */
.feedback-modal-holder {
	position: absolute;
    top: 0;
    z-index: 100;
    height: 100vh;
    display: flex;
    width: 100vw;
    align-items: center;
    justify-content: center;
    background: rgba(1, 1, 1, 0.6);
}

.feedback-modal-holder .feedback-modal-content {
    background: white;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    border: 1px solid;
    box-shadow: 5px -5px 15px 0px black;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-header {
    display: flex;
    height: 15%;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 15px;
    border-bottom: 1px solid #002f41;
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: 20px;
    background-color:#002f41;
    color: white;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-body {
	width: 100%;
    height: 70%;
    padding: 15px;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-footer {
	width: 100%;
    height: 15%;
    border-top: 1px solid #dee2e6;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-footer input {
	display: none;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-body iframe {
	height: 120% !important;
    width: 100% !important;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-header .feedback-modal-title {
	line-height: 1.5;
    font-size: 24px;
    font-weight: 600;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-header .bi-x-square-fill {
    font-size: 30px;
    cursor: pointer;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-footer .btn-outline-dark {
	border-color: darkgray !important;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-footer .btn-outline-dark:hover {
	background-color: #e6e6e6 !important;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-footer .btn {
    height: 40px;
	color: black !important;
    margin: 0 15px;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-footer .btn-warning {
	color: white !important;
    height: 40px;
}

.feedback-modal-holder .feedback-modal-content .feedback-modal-footer .btn-warning:hover {
	font-size: 14px;
}

.feedback-modal-body .feedback-form {
	height: 100%;
    width: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: space-around;
    flex-direction: column;
}

.feedback-modal-body .feedback-form .feedback-form-subject {
	height: 25%;
    width: 100%;
}

.feedback-modal-body .feedback-form .feedback-form-subject label,
.feedback-modal-body .feedback-form .feedback-form-content label {
	font-weight: 600;
    font-size: 16px;
}

.feedback-modal-body .feedback-form .feedback-form-content {
	height: 75%;
    width: 100%;
}

.feedback-modal-footer .send-feedback-button,
.feedback-modal-footer .add-image-btn {
    margin: 0 10px;
    height: 40px;
    background: transparent;
    outline: none;
    border: 1px solid #002f41;
    padding: 0 10px;
    border-radius: 5px;
}

.feedback-modal-footer .send-feedback-button:hover,
.feedback-modal-footer .add-image-btn:hover {
    color: white;
    background: #002f41;
}

.feedback-modal-footer button[disabled] {
	cursor: not-allowed;
    color: black !important;
    background: transparent !important;
}

#pgdiv{width:100% !important;}
body {
    height: 100vh;
	margin:0;
}

.navbar-parent{
     height: 100vh;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    
}
@media print {
    #headercontainer,
    #custom-vertical-navbar,
    #labelHolder,
    .footer-container,
    .inAppPageDiagTop {
        display: none !important;
    }


    #pages-content {
        width: 100%;
        padding: 0;
    }


    body {
        display: block;
    }


    #pages-content {
        overflow: visible !important;
    }
}



.modal-content {
    border-radius: 15px !important;
}

.modal-header .close {

    color: white !important;
}

.modal-header {
    background:#002f41 !important;
    color: white !important;
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
}

.switch6-light a{
    background: #002f41;

}

.navbar-parent {
    /*height: 100vh;*/
}

#pageLabel {
    font-family: 'Arial', sans-serif; 
    font-size: 2.2rem; 
    color: #373831; 
    display: inline-block;
    margin: 10px 0;
    cursor: default;
    position: relative; 
    /*font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; */
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
}

#headercontainerae {
    width: 6vw;
    max-width: 30vw;
    min-width: 6vw;
    height: 100vh;
    transition: width 0.5s ease;
    z-index:10;
}


#headercontainer {
    width: 6vw;
    max-width: 30vw;
    min-width: 6vw;
    height: 100vh;
    transition: width 0.5s ease;
    z-index:10;
}

#headercontainervc {
    width: 6vw;
    max-width: 30vw;
    min-width: 6vw;
    height: 100vh;
    transition: width 0.5s ease;
    z-index:10;
} 
#edcitewrapper{
    display:flex;
    height: 100vh;
    width: 100vw;
}

#pages-content{
    width: 92vw;
    overflow-y: auto;
    transition: width 0.5s ease;
    margin-top:8vh;
    margin-left: 2vw;
}

#pages-contentvc{
    width: 92vw;
    overflow-y: auto;
    transition: width 0.5s ease;
    margin-top:8vh;
    margin-left: 2vw;
}

/*#labelHolder {
    padding: 10px;
    top: 0;
    z-index: 1000;
    position: sticky;
	background: white;
}*/

#labelHolder {
    padding-top: 10px;
    top:0;
    position: fixed;
    
}

.inAppPageDiagTop { width: 100%; height: 95%; z-index: 100; display: none; position: fixed; top: 50px; left: 0; 
    background: rgba(0,0,0,0.6); } 
.inAppPageDiag { width: 90%; height: 90% !important; position: relative; -webkit-overflow-scrolling: touch; overflow: auto; 
    background: #eee; font-size: 5px; -webkit-border-radius: 2px; -moz-border-radius: 2px; border-radius: 2px; 
    margin: 30px auto; padding: 5px; box-sizing: content-box; z-index:1999} 
#inAppPageDiagHdr { width: 100%; height: 0px; display: none; }
.inAppPagecimg, .inAppPageoimg { position: absolute; top: 5px; right: 5px; cursor: pointer; }
.inAppPageoimg { right: 35px;}
.inAppPageclose { text-decoration: underline; font-size: 10px; cursor: pointer; padding: 3px; } 
.inAppPageIfrm { width: 100%; height: 95%; margin-top: 15px; min-width: 1024px; min-height: 600px; } 

#edciteStatusArea {
    position: fixed;
    right: 10px;
    top: 60px;
}
.dropdown-menu li.disabled {
    pointer-events: none;     
}
.table>tbody>tr>td {
    word-break: break-word;
}

.qeditor .fa {
    font-family: FontAwesome;	/* uses fontawesome version 4 */
}

#systemMessageDiv { display: none; position: absolute; left: 20%; top: 80px; width: 60%; z-index: 500; 
    min-height: 120px; font-size: 20px; text-align: center; color: #444444; color: #DA7100; 
    background: #F4FFF4; padding: 30px; border-radius: 8px; -webkit-border-radius: 8px; 
    -moz-border-radius: 8px; border-radius: 8px; font-weight:bolder; box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;} 
#msgCloseImg { position: absolute; bottom: 10px; right: 10px; } 

@media screen and (min-width: 991px) and (max-width: 1024px) {

    #pages-content{
       margin-top: 8vh;
    }

    #pages-contentvc{
      margin-top: 8vh;
    }
}

@media screen and (min-width: 451px) and (max-width: 990px) {
    #headercontainer {
        width: 10vw; /*9vw;*/
        max-width: 30vw;
        min-width: 10vw;/*6vw;*/
        height: 100vh;
        transition: width 0.5s ease;
        z-index:1000;
    }

    #headercontainervc {
        width: 10vw; /*9vw;*/
        max-width: 30vw;
        min-width: 10vw;/*6vw;*/
        height: 100vh;
        transition: width 0.5s ease;
        z-index:1000;
    }
    #pages-content{
        width: 90vw;/*90vw;*/
        overflow-y: auto;
        transition: width 0.5s ease;
        margin-top: 10vh;
        margin-left: 1vw;
    }

    #pages-contentvc{
        width: 90vw;/*90vw;*/
        overflow-y: auto;
        transition: width 0.5s ease;
        margin-top: 10vh;
        margin-left: 1vw;
    }

    #pageLabel {
        font-size: 1.8rem; 
    }
}

@media screen and (max-width:450px) {

    #headercontainer {
        width: 18vw; /*9vw;*/
        max-width: 30vw;
        min-width: 20vw;/*6vw;*/
        height: 100vh;
        transition: width 0.5s ease;
        z-index:1000;
    }

    #headercontainervc {
        width: 18vw; /*9vw;*/
        max-width: 30vw;
        min-width: 20vw;/*6vw;*/
        height: 100vh;
        transition: width 0.5s ease;
        z-index:1000;
    }

    #pages-content {
        width: 81vw;/*90vw;*/
        overflow-y: auto;
        transition: width 0.5s ease;
        margin-top: 8vh;
        margin-left: 2vw;
    }

    #pages-contentvc {
        width: 81vw;/*90vw;*/
        overflow-y: auto;
        transition: width 0.5s ease;
       margin-top: 8vh;
        margin-left: 2vw;
    }


    #pageLabel {
        font-size: 1.5rem; 
    }
}

@keyframes bannerblink {
            0% {
                opacity: 1;
            }

            50% {
                opacity: 0;
            }

            100% {
                opacity: 1;
            }
        }

article.downBanner {
    text-align: center;
    position: absolute;
    top: 0;
    width: 100%;
    left: 0;
    font-size: medium;
    background-color: lightblue;
    animation:bannerblink 1s 5;
}



